%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME user file sharing
Name:		gnome-user-share
Version:	3.0.4
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Servers
URL:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(libnotify)

Suggests:	apache
Suggests:	apache-mod_dnssd >= 0.6
Requires:	obex-data-server >= 0.3

%description
This program enables user to share directories through Webdav or Bluetooth 
(over ObexFTP).

%prep
%setup -q

%build
%configure2_5x \
	--with-modules-path=%{_sysconfdir}/httpd/modules \
	--disable-schemas-install \
	--disable-scrollkeeper

%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name} --with-gnome --with-help

%files -f %{name}.lang
%doc README ChangeLog NEWS
%{_sysconfdir}/xdg/autostart/gnome-user-share.desktop
%{_bindir}/*
%{_libexecdir}/gnome-user-share
%{_libdir}/nautilus/extensions-3.0/libnautilus-share-extension.so
%{_datadir}/applications/gnome-user-share-properties.desktop
%{_datadir}/gnome-user-share
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.4-2.mga3
+ Revision: 352252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.0.4-1.mga3
+ Revision: 297765
- new version 3.0.4

* Tue Sep 25 2012 ovitters <ovitters> 3.0.3-1.mga3
+ Revision: 297752
- update file list
- remove gconf br
- br libxml2-utils
- br itstool
- new version 3.0.3
- use mkrel
- clean spec
- Import from Mandriva

